Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Data Structures | Macros | Typedefs | Functions | Variables
gif.h File Reference
`#include "hdf.h"`

## Data Structures
struct | GIFHEAD
struct | GIFIMAGEDESC
struct | GIFGRAPHICCONTROL
struct | GIFPLAINTEXT
struct | GIFAPPLICATION
struct | GIFCOMMENT
struct | GIFTOMEM

## Macros
#define | MAX_PAL 768
#define | false 0;
#define | true 1;

## Typedefs
typedef uint8 | BYTE
typedef uint16 | WORD
typedef char | CHAR
typedef uint8 | boolean

## Functions
GIFTOMEM | Gif2Mem (BYTE *)
int | ReadGifHeader (GIFHEAD *, BYTE **)
int | ReadGifImageDesc (GIFIMAGEDESC *, BYTE **)
int | ReadGifGraphicControl (GIFGRAPHICCONTROL *, BYTE **)
int | ReadGifPlainText (GIFPLAINTEXT *, BYTE **)
int | ReadGifApplication (GIFAPPLICATION *, BYTE **)
int | ReadGifComment (GIFCOMMENT *, BYTE **)
int | WriteHDF (GIFTOMEM, CHAR *, CHAR *)
BYTE * | ReadDataSubBlocks (BYTE **, WORD *)
BYTE * | Decompress (GIFIMAGEDESC *, GIFHEAD *)
BYTE | GetByte (BYTE *)
WORD | GetWord (BYTE *)

## Variables
int | EndianOrder

## Macro Definition Documentation

## ◆ false

#define false 0;

## ◆ MAX_PAL

#define MAX_PAL 768

## ◆ true

#define true 1;

## Typedef Documentation

## ◆ boolean

typedef uint8 boolean

## ◆ BYTE

typedef uint8 BYTE

## ◆ CHAR

typedef char CHAR

## ◆ WORD

typedef uint16 WORD

## Function Documentation

## ◆ Decompress()

BYTE * Decompress | ( | GIFIMAGEDESC * | ,
|  | GIFHEAD * | )

## ◆ GetByte()

BYTE GetByte | ( | BYTE * |  | ) |

## ◆ GetWord()

WORD GetWord | ( | BYTE * |  | ) |

## ◆ Gif2Mem()

GIFTOMEM Gif2Mem | ( | BYTE * |  | ) |

## ◆ ReadDataSubBlocks()

BYTE * ReadDataSubBlocks | ( | BYTE ** | ,
|  | WORD * | )

## ◆ ReadGifApplication()

int ReadGifApplication | ( | GIFAPPLICATION * | ,
|  | BYTE ** | )

## ◆ ReadGifComment()

int ReadGifComment | ( | GIFCOMMENT * | ,
|  | BYTE ** | )

## ◆ ReadGifGraphicControl()

int ReadGifGraphicControl | ( | GIFGRAPHICCONTROL * | ,
|  | BYTE ** | )

## ◆ ReadGifHeader()

int ReadGifHeader | ( | GIFHEAD * | ,
|  | BYTE ** | )

## ◆ ReadGifImageDesc()

int ReadGifImageDesc | ( | GIFIMAGEDESC * | ,
|  | BYTE ** | )

## ◆ ReadGifPlainText()

int ReadGifPlainText | ( | GIFPLAINTEXT * | ,
|  | BYTE ** | )

## ◆ WriteHDF()

int WriteHDF | ( | GIFTOMEM | ,
|  | CHAR * | ,
|  | CHAR * | )

## Variable Documentation

## ◆ EndianOrder

int EndianOrder
| extern